export interface SpinnerTextSource {
    getText(): string;
}
export default class Spinner {
    textSource: SpinnerTextSource | null;
    private lastTextSize;
    private frame;
    private frames;
    private interval;
    private state;
    private timer;
    private currentFrameWritten;
    private stream;
    private outputIsTty;
    private clear;
    private getText;
    private nextFrame;
    private handleStopped;
    private handleStarting;
    private handleRunning;
    private handlePaused;
    private timerCallback;
    start(): void;
    pause(): void;
    stop(): void;
    private textSize;
}
